package pModel;

import pModel.pTortue.Balle;

/**
 * Interface du Modèle.
 * @author Olivier Berthier
 *
 */
public interface _Model {

	/**
	 * Instructions à executer par le model 
	 */
	public void run(  );
	/**
	 * Initialiser le model
	 */
	public void init(  );
	/**
	 * Terminer d'exécuter le model
	 */
	public void end(  );

	/**
	 * Recupérer la balle si celle-ci est instanciée dans le model.
	 * 
	 * @return Balle
	 * 
	 * @see pModel.pTortue.Balle
	 */
	public Balle getBalle();

	

}
